Bug 1396291 - rpcbind fails to start due to missing dependency after package update
Summary: rpcbind fails to start due to missing dependency after package update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rpcbind
Version: 7.3
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Steve Dickson
QA Contact: Yongcheng Yang
URL:
Whiteboard:
Depends On:
Blocks: 1298243 1385242
TreeView+ depends on / blocked
 
Reported: 2016-11-17 21:46 UTC by Scott Mayhew
Modified: 2017-08-01 18:36 UTC (History)
6 users (show)

Fixed In Version: rpcbind-0.2.0-39.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 18:36:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2772221 None None None 2016-11-17 22:31:09 UTC
Red Hat Product Errata RHBA-2017:1992 normal SHIPPED_LIVE rpcbind bug fix update 2017-08-01 18:10:39 UTC

Description Scott Mayhew 2016-11-17 21:46:07 UTC
Description of problem:
rpcbind can fail to start after updating to the 7.3 rpcbind package from an earlier version, if the libtirpc package is not updated as well.  This can be triggered via 'yum update --security' for example.


Version-Release number of selected component (if applicable):
rpcbind-0.2.0-38.el7

How reproducible:
Easy.

Steps to Reproduce:
1. Install RHEL 7 system that is pre-7.3, including rpcbind
2. yum update --security

Actual results:

[root@localhost ~]# systemctl status rpcbind
● rpcbind.service - RPC bind service
   Loaded: loaded (/usr/lib/systemd/system/rpcbind.service; indirect; vendor preset: enabled)
   Active: failed (Result: exit-code) since Thu 2016-11-17 16:28:39 EST; 2min 4s ago
 Main PID: 5929 (code=exited, status=0/SUCCESS)

Nov 17 16:28:39 localhost.localdomain systemd[1]: Starting RPC bind service...
Nov 17 16:28:39 localhost.localdomain rpcbind[8671]: /sbin/rpcbind: symbol lookup error: /sbin/rpcbind: undefined symbol: libtirpc_set_debug
Nov 17 16:28:39 localhost.localdomain systemd[1]: rpcbind.service: control process exited, code=exited status=127
Nov 17 16:28:39 localhost.localdomain systemd[1]: Failed to start RPC bind service.
Nov 17 16:28:39 localhost.localdomain systemd[1]: Unit rpcbind.service entered failed state.
Nov 17 16:28:39 localhost.localdomain systemd[1]: rpcbind.service failed.



Expected results:

[root@localhost ~]# systemctl status rpcbind
● rpcbind.service - RPC bind service
   Loaded: loaded (/usr/lib/systemd/system/rpcbind.service; indirect; vendor preset: enabled)
   Active: active (running) since Thu 2016-11-17 16:42:42 EST; 3s ago
  Process: 19420 ExecStart=/sbin/rpcbind -w $RPCBIND_ARGS (code=exited, status=0/SUCCESS)
 Main PID: 19421 (rpcbind)
   CGroup: /system.slice/rpcbind.service
           └─19421 /sbin/rpcbind -w

Nov 17 16:42:42 localhost.localdomain systemd[1]: Starting RPC bind service...
Nov 17 16:42:42 localhost.localdomain systemd[1]: Started RPC bind service.

Additional info:

Updating the libtirpc package fixes this issue.  This is a regression caused by https://bugzilla.redhat.com/show_bug.cgi?id=1358890.  A 'Requires' tag should have been added to the rpcbind.spec file specifying the version that added libtirpc_set_debug():

Requires: libtirpc >= 0.2.4-0.7

Instead, the rpcbind.spec file has no 'Requires' tag for libtirpc at all.

Comment 7 Yongcheng Yang 2017-06-19 07:31:24 UTC
Moving to VERIFIED according to testlog of comment #6

Comment 8 errata-xmlrpc 2017-08-01 18:36:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1992


Note You need to log in before you can comment on or make changes to this bug.